API ReferenceapicommsGET /v1/messages/{id}

GET /v1/messages/\{id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Message found

{
  "type": "object",
  "properties": {
    "message_id": {
      "type": "string"
    },
    "dedup_key": {
      "type": "string"
    },
    "channel": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "provider": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "message_id",
    "dedup_key",
    "channel",
    "status",
    "provider"
  ]
}

404 Message not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/messages/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"